block vars
doctype html
html
  head
    title SS-Auth | #{title}
    style.
      :root {
        --primary-colour: #337ab7;
        --error-colour: #f2dede;
        --form-field-height: 32px;
        --form-gap: 10px;
      }
      header {
        background-color: var(--primary-colour);
        padding: 10px;
        padding-left: 20px;
        color: white;
      }
      header>h1 {
        margin: 0;
      }
      body {
        margin: 0;
      }
      .error-message {
        color: black;
        background-color: var(--error-colour);
        padding: 10px;
      }

      .fields {
        display: grid;
        grid-template-columns: fit-content(100%) 1fr;
        row-gap: var(--form-gap);
        column-gap: var(--form-gap);
        align-items: baseline;
      }

      .content {
        padding: 10px;
        max-width: 700px;
        width: fit-content;
        margin-left: auto;
        margin-right: auto;
      }

      .content-text {
        text-align: center;
      }

      .fields>input {
        height: var(--form-field-height);
        width: 500px;
      }

      .submit {
        grid-column: 2;
        background-color: var(--primary-colour);
        color: white;
        height: var(--form-field-height);
        border-style: none;
        border-radius: 2px;
      }
      @media (max-width: 700px) {
        .fields {
          grid-template-columns: 1fr;
        }
        .submit {
          grid-column: 1;
        }
      }
  body
    header
      h1 #{heading}
    div(class="content")
      block body